/* Custom CSS (start)*/
.main-content {
  margin-left: 260px;
  flex:1;
}

/* dashboard.php (start) */
/* Boxes */
.stat-box {
  background: #fff;
  border-radius: 16px;
  padding: 10%;
  min-height:180px;
}

.stat-icon {
  font-size:2rem;
  width: 60px;
  height: 60px;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.bg-success-light { background: #e9f8f1; color: #19a974; }
.bg-info-light { background: #e7f1ff; color: #3b82f6; }
.bg-purple-light { background: #f1e9ff; color: #8b5cf6; }
.bg-warning-light { background: #fff6e5; color: #f59e0b; }

.stat-title {
  font-size: 14px;
  color: #777;
  margin-bottom: 4px;
}

.stat-chart-box {
  background: #fff;
  border-radius: 16px;
  padding: 25px;
  min-height:300px;
}

.stat-status-box {
  background: #fff;
  border-radius: 16px;
  padding: 25px;
  min-height:300px;
}

.stat-status2-box {
  background: #fff;
  border-radius: 16px;
  padding: 25px;
  min-height:200px;
}

/* Chart Placeholder */
.chart-placeholder {
    position: relative;
    height: 220px;
}

.y-axis {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 12px;
  color: #999;
}

.x-axis {
  position: absolute;
  bottom: 0;
  left: 40px;
  right: 0;
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  color: #999;
}

/* Booking Status */
.status-list {
  list-style: none;
  padding: 0;
}

.status-list li {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 12px;
  font-size: 14px;
}

.dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  display: inline-block;
  margin-right: 8px;
}

.btn-viewall{
  text-decoration:none;
  
}
/* dashboard.php (end) */

/* booking.php & driver.php (start) */
.stat-number-box {
  background: #fff;
  border-radius: 16px;
  padding: 10%;
  min-height:100px;
}
/* booking.php & driver.php  (end) */
/* user-home.php (start) */
.map-wrapper {
    position: relative;
    width: 100%;
    height: 70vh;
}

.map-wrapper iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Style the iframe to cover the entire viewport (screen) */
.full-page-iframe {
    width: 100vw; /* 100% of the viewport width */
    height: 70vh; /* 100% of the viewport height */
    border: none; /* Remove default iframe border */
  }

/* LOCATION INPUT */
.location-row {
    display: flex;
    align-items: center;
}

.location-row input {
    font-size: 15px;
    box-shadow: none !important;
}

/* ICONS */
.icon {
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

.pickup-icon {
    background: #e9f8f1;
}

.dropoff-icon {
    background: #F5C2C7;
}

.btn-book {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 100px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-book:hover {
    background-color: #27ae60;
}

/* user-home.php (end) */

/* user-package.php (start) */
.booking-box{
    background: #fff;
    border-radius: 16px;
    padding: 3%;
    min-height:100px;
    max-height:auto;

}

.icon-btn{
    color:#2ecc71;
}

.icon-btn:hover {
    color: #27ae60;
}

.service-box{
    background: #fff;
    border-radius: 16px;
    border-style: solid;
    border-color: #000000;
    padding: 1%;
    height:auto;
    width:auto;
    cursor: pointer;  
    transition: all 0.3s ease;
}

.service-radio:checked + .service-box {
    background: #e9f8f1;
    color: #27ae60;
    border: 2px solid #27ae60;
}



.notes-box{
    background: #fff;
    border-radius: 16px;
    border-style: solid;
    border-color: #2ecc71;
    padding: 1%;
    height:auto;
    width:100%;
    color:#2ecc71;
}

.btn-payment {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 100px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-payment:hover {
    background-color: #27ae60;
}



/* user-package.php (end) */

/* user-payment.php (start) */
.payment-box{
    background: #fff;
    border-radius: 16px;
    border-style: solid;
    border-color: #000000;
    padding: 1%;
    min-height:auto;
    max-height:300px;
    min-width:auto;
    max-width:300px;
    cursor: pointer;  
    transition: all 0.5s ease;
}

.payment-radio:checked + .payment-box {
    background: #e9f8f1;
    color: #27ae60;
    border: 2px solid #27ae60;
}

.btn-confirm {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 700px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-confirm:hover {
    background-color: #27ae60;
}
/* user-payment.php (end) */

/* user-passenger.php (start) */

.passenger-box{
    background: #fff;
    border-radius: 16px;
    border-style: solid;
    border-color: #000000;
    padding: 1%;
    min-height:auto;
    max-height:300px;
    min-width:auto;
    max-width:250px;
    cursor: pointer;  
    transition: all 0.5s ease;
}

.passenger-radio:checked + .passenger-box {
    background: #e9f8f1;
    color: #27ae60;
    border: 2px solid #27ae60;
}

.input-textgroup {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
}

.btn-clear{
    border: none; 
    background: transparent; 
    font-size: 20px;
}

.btn-booknow {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 100px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-booknow:hover {
    background-color: #27ae60;
}

/* user-passenger.php (end) */
/* user-summary.php (start) */
.btn-pay {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 100px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-pay:hover {
    background-color: #27ae60;
}

/* user-summary.php (end) */

/* contactinfo.php (start) */
.btn-contact {
    background-color: #2ecc71;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    padding: 14px;
    min-width: 100px;
    max-width:auto;
    margin-top: 20px;
    font-size: 15px;
    transition: background-color 0.3s;
}

.btn-contact:hover {
    background-color: #27ae60;
}
/* contactinfo.php (end) */
.btn-greensifu {
    background-color: #2ecc71;
    border-color:#2ecc71;
    color: white;
}

.btn-greensifu:hover {
    background-color: #27ae60;
    border-color: #27ae60;
    color: #fff;
}

.table thead th {
    background-color:#2ecc71 ;
    color:#fff ;
}

/* Custom CSS (end)*/
.no-padding
{
    padding: 0 !important;
}

.padding-side
{
    padding-right: 3% !important;
    padding-left: 3% !important;
}

.padding-top-3
{
    padding-top: 3%;
}

.padding-bottom-3
{
    padding-bottom: 3%;
}

.padding-top-5
{
    padding-top: 5%;
}

.padding-bottom-5
{
    padding-bottom: 5%;
}

.padding-top-10
{
    padding-top: 10%;
}

.padding-bottom-10
{
    padding-bottom: 10%;
}

.no-margin
{
    margin: 0 !important;
}

.margin-auto
{
    margin: auto;
}

.margin-bottom-3
{
    margin-bottom: 3% !important; 
}

.margin-bottom-5
{
    margin-bottom: 5% !important; 
}
.margin-bottom-10
{
    margin-bottom: 10%; 
}
.margin-bottom-20
{
    margin-bottom: 20%; 
}
.margin-bottom-50
{
    margin-bottom: 50%; 
}

.margin-top-3
{
    margin-top: 3%; 
}

.margin-top-4
{
    margin-top: 4%; 
}

.margin-top-5
{
    margin-top: 5%; 
}
.margin-top-10
{
    margin-top: 10%; 
}
.margin-top-20
{
    margin-top: 20%; 
}
.margin-top-50
{
    margin-top: 50%; 
}

/* Alignment */
.align-justify
{
    text-align: justify !important;
}

.align-center
{
    text-align: center !important;
}

.align-left
{
    text-align: left;
}

.align-right
{
    text-align: right;
}

.line-height-2
{
    line-height: 2;
}
/* Alignment */

/* Font CSS */
.font-12
{
    font-size:12px;
}

.font-14
{
    font-size:14px;
}

.font-16
{
    font-size:16px;
}

.font-18
{
    font-size:18px;
}

.font-20
{
    font-size:20px;
}

.font-22
{
    font-size:22px;
}

.font-24
{
    font-size:24px;
}

.font-26
{
    font-size:26px;
}

.font-28
{
    font-size:28px;
}

.bold900
{
    font-weight: 900;
}

.bold700
{
    font-weight: 700;
}

.bold400
{
    font-weight: 400;
}

.bold300
{
    font-weight: 300;
}

.white
{
    color:#ffffff !important;
}

.black
{
    color:#000000 !important;
}

.maroon
{
    color: #2A0000;
}
/* Font CSS */

/*Read More*/
.more {
    overflow: hidden;
}
/*Read More*/


/*MOBILE VIEW*/
@media only screen 
  and (min-device-width: 300px) 
  and (max-device-width: 900px) 
{ 
    .font-12
    {
        font-size:4px;
    }

    .font-14
    {
        font-size:6px;
    }

    .font-16
    {
        font-size:8px;
    }

    .font-18
    {
        font-size:10px;
    }

    .font-20
    {
        font-size:12px;
    }

    .font-22
    {
        font-size:14px;
    }

    .font-24
    {
        font-size:16px;
    }

    .font-26
    {
        font-size:18px;
    }

    .font-28
    {
        font-size:20px;
    }
}
